import { CompletionCtx, PartialCompletionsService, Services } from '@genesiscommunitysuccess/custom-elements-lsp/out/main/plugins/export-interface';
import { CompletionInfo } from 'typescript/lib/tsserverlibrary';
import { Logger } from 'typescript-template-language-service-decorator';
export declare class FoundationCompletionsService implements PartialCompletionsService {
    private logger;
    private services;
    private designSystemPrefix;
    constructor(logger: Logger, services: Services, designSystemPrefix: string);
    getCompletionsAtPosition(completions: CompletionInfo, ctx: CompletionCtx): CompletionInfo;
    /**
     * Converts snippets into completions, applying rules based on the semantic context.
     */
    private getComponentSnippets;
}
//# sourceMappingURL=index.d.ts.map