"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const completions_1 = require("./completions");
const fuiPlugin = (logger, services, userConfig) => {
    logger.log('foundation ui plugin');
    logger.log('Design system: ' + userConfig.designSystemPrefix || 'unset');
    return {
        completions: [
            new completions_1.FoundationCompletionsService(logger, services, (userConfig === null || userConfig === void 0 ? void 0 : userConfig.designSystemPrefix) || '%%prefix%%-'),
        ],
    };
};
exports.default = fuiPlugin;
