import { Rule } from './rules';
import { SemanticContext } from './semantic-contexts';
export type Snippet = {
    name: string;
    snippet: string;
    description: string;
    baseSorting: number;
    rules: {
        semanticCtx: SemanticContext;
        rule: Rule;
    }[];
};
export declare const getSnippets: (designSystemPrefix: string) => Snippet[];
//# sourceMappingURL=snippets.d.ts.map